//+------------------------------------------------------------------+
//|                                 cjc- hi-lo-previous-bar-indi.mq4 |
//|                                            Copyright  2009, CJC |
//|                                            http://www.4x4u.co.cc
//| This indi will display previous candle close in top left corner of screen
//+------------------------------------------------------------------+

#property indicator_chart_window
#property indicator_buffers 1

extern string Note          = "This Indi will display previous bar close";
extern bool   ShowText      = true;
extern string TextID        = "PrevClose";
extern int    textCorner    = 1;
extern int    textXPosition = 5;
extern int    textYPosition = 30;
extern color  upTextColor   = Blue;
extern color  dnTextColor   = Red;
extern int    upFontSize    = 12;
extern int    dnFontSize    = 12;


double buffer[];


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
{
   SetIndexBuffer(0,buffer); SetIndexStyle(0,DRAW_NONE);
return(0);
}
int deinit()  
{   
   ObjectDelete(TextID);
   
return(0);  
}
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
{
   int i,counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
         int limit = MathMin(Bars-counted_bars,Bars-1);

   //
   //
   //
   //
   //
   //

   for(i=limit; i >= 0; i--) buffer[i] = iClose(NULL,0,iBarShift(NULL,0,Time[i]));
   for(i=limit; i >= 0; i--)
   {
      if (buffer[i]>buffer[i+1]) Commenter(1);
      if (buffer[i]<buffer[i+1]) Commenter(-1); 
   }
   return(0);
}

//
//
//
//
//

void Commenter(int Dir) 
{
    if (ShowText)
    {
      ObjectCreate(TextID,OBJ_LABEL,0,0,0);
         ObjectSet(TextID,OBJPROP_CORNER,textCorner);
         ObjectSet(TextID,OBJPROP_XDISTANCE,textXPosition);
         ObjectSet(TextID,OBJPROP_YDISTANCE,textYPosition);
         if (Dir == 1) ObjectSetText(TextID, buffer[1],upFontSize,"Arial Black",upTextColor);
         if (Dir ==-1) ObjectSetText(TextID, buffer[1],dnFontSize,"Arial Black",dnTextColor);
    }
   
return; 
}